Name:           saslwrapper
Version:        0.16
Release:        20%{?dist}
Summary:        Ruby and Python wrappers for the Cyrus SASL library
Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://qpid.apache.org/
# svn export -r 1346225 https://svn.apache.org/repos/asf/qpid/tags/0.16/qpid/extras/sasl saslwrapper-0.16
# tar -cJf saslwrapper-0.16.tar.xz saslwrapper-0.16
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  doxygen
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  ruby-devel
BuildRequires:  python2-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  swig
# ./configure checks for these, even though it probably needn't
BuildRequires:  /usr/bin/python
BuildRequires:  /usr/bin/ruby

%description
A simple wrapper for Cyrus SASL that permits easy binding into
scripting languages.

%package devel
Summary: Header files for developing with saslwrapper
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The header files for developing with saslwrapper.

%package -n python2-saslwrapper
%{?python_provide:%python_provide python2-saslwrapper}
Summary: Python bindings for saslwrapper
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description -n python2-saslwrapper
Python bindings for the saslwrapper library.

%package -n ruby-saslwrapper
Summary: Ruby bindings for saslwrapper
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: ruby

%description -n ruby-saslwrapper
Ruby bindings for the saslwrapper library.

%prep
%setup -q

# Deprecated Config was finally removed in Ruby 2.2.
sed -i -r 's/Config::CONFIG/Rb\0/g' configure.ac

%build
./bootstrap
export RUBY_LIB_ARCH="%{ruby_vendorarchdir}"
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" | xargs rm

%check
make check

%files
%doc LICENSE
%{_libdir}/libsaslwrapper.so.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files devel
%{_libdir}/libsaslwrapper.so
%{_includedir}/saslwrapper.h

%files -n python2-saslwrapper
%{python_sitearch}/saslwrapper.py*
%{python_sitearch}/_saslwrapper.so

%files -n ruby-saslwrapper
%{ruby_vendorarchdir}/saslwrapper.so

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.16-19
- Python 2 binary package renamed to python2-saslwrapper
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 14 2017 Vít Ondruch <vondruch@redhat.com> - 0.16-15
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.4

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-14
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 13 2016 Vít Ondruch <vondruch@redhat.com> - 0.16-12
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.3

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.16-10
- Rebuilt for GCC 5 C++11 ABI change

* Mon Jan 19 2015 Vít Ondruch <vondruch@redhat.com> - 0.16-9
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.2

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 29 2014 Vít Ondruch <vondruch@redhat.com> - 0.16-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 27 2013 Vít Ondruch <vondruch@redhat.com> - 0.16-4
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun  5 2012 Dan Callaghan <dcallagh@redhat.com> - 0.16-1
- Initial version, based on 0.14-1.el6 SRPM.
